#parent {
  height: 100vh;
  overflow: hidden;
  display: flex;
  flex-direction: column;   
}

.index {
  overflow-x: auto;
  flex-grow:1;
  height: 100%;
  background: #141414;
  scrollbar-width: none;
  
}

/* ////////   HEADER    ///////// */
#svod-header {
  position: absolute;
  top: 0;
  width: 100vw;
  background: linear-gradient(#000, transparent);
  transition: background-color 700ms;
  z-index: 10000;

  display: flex;
  justify-content: space-between;
  height: 70px;
}

.header-elements-left {
  display: flex;
  flex-basis: 30%;
  min-width: 350px;
  justify-content: space-around;
  align-items: center;
}

.header-elements-left a {
  color: white;
}

.header-elements-right {
  display: flex;
  align-items: center;
  padding-right: 10px;
}

.user-pic {
  height: 50px;
  margin: 15px;
}

#netflix-logo {
  height: 90px;
}

#search {
  height: 25px;
  margin: 0 25px
}

#splash-header-bar {
  height: 100px;
  background: transparent;
}

.splash-overlay {
  background: black;
  opacity: .9;
}


/* /////////// HOME PAGE /////////// */

.video-index {
  margin-top: 3%;
  font-size: 16px;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  min-height: 85vh;
  }

  .category-list {
    display: flex;
    text-align: center;
    overflow-y: hidden;
    padding: 24px 28px;
    align-items: center;
    z-index: 100;
    transition: all 500ms ease-out;
	scrollbar-width: none;
	margin-top: 5px;
  }

  .scrollLeft {
    position: absolute;
    background: none;
    border: none;
    font-size: 2vw;
    color: white;
    height: 170px;
    margin: 32px 0px;
    z-index: 100;
    opacity: 0.6;
    text-shadow: 0px 0px 20px black;
    
    left: 0px;
  }

  .poster-row .scrollLeft {
	  height: 460px;
  }
  
  .scrollLeft:hover {
    opacity: 1;
  }

  .scrollLeft:focus {
    background: none;
     
  }

  .scrollRight {
    position: absolute;
    background: none;
    border: none;
    font-size: 2vw;
    color: white;
    height: 170px;
    margin: 32px 0px;
    z-index: 100;
    opacity: 0.6;
    text-shadow: 0px 0px 20px black;
    right: 10px;
  }

  .poster-row .scrollRight {
	  height: 460px;
  }
  

  .scrollRight:hover {
    opacity: 1    
  }

  .scrollRight:focus {
    background: none;
  }

  .netflix-svod .slider {
    /* line-height: 1.25vw; */
    font-size: 1.4vw;
    color: #e5e5e5;
    font-weight: bold;
    height: auto;
    position: relative;
    scrollbar-width: none;
    z-index: 1;
  }

  .netflix-svod .poster-row {
	  min-height: 525px;
  }

  ::-webkit-scrollbar {
    width: 0px;
    /* Remove scrollbar space */
	background: transparent;
	scrollbar-width: none;

	
    /* Just makes scrollbar invisible */
  }

  .thumbnail-border {
    border: 4px solid yellow;
  }
  
  .thumbnail-container-netflix {
	  display: flex
  }
  
  
  .thumbnail-pic {
    width: 300px;
    height: 170px;
    opacity: 0;
    transition: opacity .5s;
  }

  .removed-thumbnail-div {
	width: 300px;
	height: 170px;
    display: flex;
    /* align-items: center; */
    justify-content: center;
  }

  .watchlist-removed {
	position: absolute;
	opacity: .3;
  }

  .thumbnail-video-player {
    width: 300px;
    height: 170px;
    z-index: -1;
  }

  .removed-thumbnail-div p {
	z-index: 1;
    font-size: 20px;
    text-shadow: 0px 0px 10px black;
    padding: 30px;
  }



  .index-item {
    /* --lolomo-scroll: "0px"; */

    margin: 0 2px;
    max-width: 300px;
    min-width: 299px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    align-items: flex-end;
    transition: all 500ms;
	  position: relative;
	
	 
    /* transform: translateX(var(--lolomo-scroll)); */
  }

  .selected-vid {
    border: 2px solid white
  }

  .image-container {
	display: flex;
	width: 300px;
	height: 170px;
	background: black;
	/* z-index: 0; */
  }

  /* .image-container:hover {
	  z-index: -1;
  } */

  .cover-video {
	  position: absolute;
	  height: 170px;
	  width: 100%;
	  z-index: 10000;
	  background: none;
	  cursor: pointer;
	  opacity: 0;
  }


  .hover-buttons {
    width: 300px;
    height: 100%;
    position: absolute;
    display:flex;
	opacity: 0;
	z-index: 10001;
	transition: background-color .2s;
  }


  .hover-buttons:focus {
    background: none
  }

  .item-left {
    display: flex;
    /* flex-direction: column; */
    justify-content: space-between;
    align-items: flex-end;
    padding: 1vw;
    width: 100%;
	opacity: .8;
	

    /* display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    padding: 1vw;
    width: 80%;
    opacity: .8; */
  }

  .left-items-thumbnail {
	    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: flex-start;
    height: 60%;
  }

  .item-title {
    margin: 3px 0 0 0;
    font-size: 15px;
    white-space: nowrap;
  }
  
  .item-info {
    /* margin: 5px 0 0 0; */
    font-size: 10px;
  }

  .item-info #match {
    margin-right: 10px;
  }

  .item-info p {
    margin: 0;
    text-align: left;
  }
  
  .hover-buttons-play {
    border: 2px solid rgb(255, 255, 255);
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding: .25vw .5vw;
	font-size: 1vw;
	transition: background-color .2s;
  }

  .hover-buttons-play:hover {
    border: 2px solid white;
    color: #E50914;
  }
  

  .hover-buttons-play:active {
    background: none;
  }

  .poster-play {
	position: absolute;
    left: 10px;
    bottom: 35px;
    padding: 4px 8px;
    /* font-size: 18px; */
    opacity: .8;
  }
  
  
  .hover-buttons-dropdown {
    position: absolute;
    bottom: 0;
    left: 45%;
    border: none;
    background: transparent;
    color: white;
    font-size: 1.5vw;
    padding: 0.5em;
	opacity: 0;
	transition: background-color .2s;
  }
  
  .hover-buttons-dropdown:hover {
    color: #E50914;
  }

  .hover-buttons-dropdown:focus {
    background: none;
  }
  
  .item-right {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 15%;
    align-items: flex-end;
    opacity: .8;
    font-size: .5vw;
  }

  .item-right button {
	border: 2px solid rgb(255, 255, 255);
    -webkit-border-radius: 50%;
    width: 1.5vw;
    font-size: .4vw;
    -moz-border-radius: 50%;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding: .4vw .5vw;
    font-size: .4vw;
    justify-content: center;
    display: flex;
  }

  .item-right button:hover {
    border: 2px solid white;
  }

  .hover-buttons-rating {
    border: 2px solid rgb(255, 255, 255);
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.5);
    color: white;
    margin-bottom: 5px;
  }

  .hover-buttons-rating:focus {
    background: none; 
   }
   
  .hover-buttons-volume {
    margin-bottom: 5px;
  }

  .hover-buttons-watchlist {
    margin-bottom: 15px;
  }


  .index-item:hover {
    /* transform: scale(1.3) !important; */
    z-index: 11;
	  box-shadow: 2px 2px 10px black;
  }

  .index-item:hover .hover-buttons {
    opacity: 1;
  }

  .index-item:hover .hover-buttons::before {
    content: '';
    position: absolute;
    background-image: linear-gradient(transparent, #000);
    left: 0;
    right: 0;
    bottom: 0;
    height: 100px;
  }

  .index-item:hover .hover-buttons-dropdown {
    opacity: .8;
  }




  .lolomo-title {
    position: absolute;
    padding-left: 30px;
	margin: 0;
	font-size: 17px;
  }
 

  .billboard-row {
	  height: 80vh
  }

  .rpo-div {
    position: relative;
    align-items: center;
    display: flex;
  }

  .rpo-div:after {
    content: '';
    position: absolute;
    background-image: linear-gradient(to left, transparent, rgba(0, 0, 0, 0.8));
    right: 50%;
    left: 0;
    bottom: 0;
    height: 100%;
  }
  /* .splash-img:after {
    content: '';
    position: absolute;
    background-image: linear-gradient(to left, transparent, rgba(0, 0, 0, 0.8));
    right: 50%;
    left: 0;
    bottom: 0;
    height: 100%;
  } */



  .rpo-div .title {
    font-size: 3.5vw;
    margin: 0;
  }
  .rpo-div .rpo-text {
    width: 40%;
    position: absolute;
    top: 0;
    display: flex;
    flex-direction: column;
    padding: 10% 5%;
    justify-content: space-around;
    height: 80vh;
    font-size: 100%;
    z-index: 2;
    text-shadow: 2px 2px 15px black;
  }


  #splash-buttons {
	display: flex;
	margin-top: 15px;
  }

  .splash-img {
    width: 100%;
    opacity: 0;
    transition: opacity .5s;
  }

  .rpo-div .rpo-text h2 {
    font-weight: bold;
    z-index: 2;
    margin: 0;
  }
  .rpo-div button {  
    background: transparent;
    border: none;
  }

  .rpo-vid-div {
	width: 100%;
	/* height: 90vh; */
    right: 0;
    /* overflow: hidden; */
    position: relative;
  }

  .rpo-vid-div:after {
	    content: '';
    position: absolute;
    background-image: linear-gradient(transparent, #141414);
    /* background: #141414; */
    right: 0;
    left: 0;
    bottom: 0;
    height: 30%;
    z-index: 1;
  }

  #questionPlayer {
	  margin: 0;
	  width: 100%;
  }

  #billboard-cover {
    width: 100%;
    position: absolute;
    height: 100%;
    z-index: 1;
  }

  #svod-video {
    width: 100%;
  }

  .on-volume {
    width: 70px;
  }
  .summary {
    font-weight: normal;
    line-height: normal;
    width: 100%;
    font-size: 1.4vw;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.45);
    z-index: 2;
    margin: 0;
  }

  .billboard-right {
    position: absolute;
	top: 75vh;
    right: 0px;
    /* width: 100px; */
    display: flex;
    align-items: center;
	justify-content: flex-end;
	z-index: 2;
  }

  .index-rating {
    text-transform: uppercase;
    background: rgba(255, 255, 255, 0.2);
    padding: 0.5em 1.5em;
    border-left: 2px solid whitesmoke;
  }


/* // Highlight Row // */

.highlight {
  background: #141414;
  height: 60vh;
  display: flex;
  overflow: hidden;
  align-items: center;
  justify-content: space-around;
  position: relative;
  margin: 15px 0;
}

.highlight-left {
  flex: 1;
  margin-right: 4vw;
  margin-left: 2vw;
  display: flex;
  position: relative;
  justify-content: flex-end;
}

#highlight-vid {
  width: 50vw;
}

.highlight-img {
  width:50vw;
  opacity: 0;
  transition: opacity .5s; 
}

.highlight-right {
  flex: 1;
 margin-right: 2vw;
}

.highlight-title {
  font-size: 3vw;
}

.highlight-buttons {
  margin-top: 1.875vw;
  margin-bottom: 1.25vw;
}


.highlight-tagline {
  margin-top: 0.46875vw;
  font-size: 1.36vw;
    
}

.highlight-volume {
  order: 2px solid rgb(255, 255, 255);
-webkit-border-radius: 50%;
-moz-border-radius: 50%;
border-radius: 50%;
background: rgba(0, 0, 0, 0.5);
/* color: white; */
/* margin-bottom: 5px; */
margin-right: 10px;
padding: 2px 5px;
opacity: .8;
}

.highlight-volume:hover {
  border: 2px solid white;
  opacity: 1;
}

.highlight-volume:focus {
  background: rgba(0, 0, 0, 0.5);
}

/* Multiple highlights */
.highlight-row {
  position: relative;
  display: flex;
}

.highlight-row .highlight {
  width: 100vw;
}

.highlight-row .carousel-list {
  top: 95%;
  position: absolute;
  margin: 0;
}

.highlight-row .scrollLeft {
  height: 100%
}

.highlight-row .scrollRight {
  height: 100%
}


.poster-index-item {
  /* margin: 0 3px;
  min-width: 200px;
  height: 460px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  align-items: flex-end;
  transition: all 500ms;
  position: relative; */

    margin: 0 3px;
    min-width: 270px;
    height: 460px;
    display: flex;
    justify-content: center;
    overflow: hidden;
    align-items: flex-end;
    transition: all 500ms;
    position: relative;
}

.poster-container {
	/* display: flex;
	position: relative;
	width: 230px;
	height: 450px; */

	display: flex;
    position: relative;
    height: 460px;
}

.poster-pic {
  width: 300px;
  opacity: 0;
  transition: opacity .5s;
}

.poster-hover-buttons {
  /* width: 200px; */
  width: 270px;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
}

.poster-index-item:hover .poster-hover-buttons {
  opacity: 1;
}

.poster-dropdown {
  background: none;
    position: absolute;
    border: none;
    bottom: 2px;
    opacity: 0.8;
}


.poster-dropdown:hover {
  color: #E50914;
  opacity: 1;
}

.poster-dropdown:focus {
  background: none
}

.poster-watchlist {
  border: 1px solid rgba(255, 255, 255, 0.6);
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  background: rgba(0, 0, 0, 0.5);

  position: absolute;
  left: 15px;
  bottom: 10px;
  
  padding: 2px 6px;
  font-size: 10px;
  opacity: .8;
}

.poster-watchlist:hover {
  border: 1px solid white;
  opacity: 1;
}

.poster-watchlist:focus {
  background: rgba(0, 0, 0, 0.5);
}







footer {
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

footer img {
  height: 40px;
  opacity: .4;
  margin-left: 32px;

}
.footer-item {
    margin: 10px;
}